Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeappendchildnodeancestor Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeappendchildnodeancestor (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "appendChild(newChild)" method raises a HIERARCHY_REQUEST_ERR DOMException if the node to append is one of this node's ancestors.

Retrieve the second employee and attempt to append an ancestor node(root node) to it. An attempt to make such an addition should raise the desired exception.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='HIERARCHY_REQUEST_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-184E7107 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-184E7107')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='HIERARCHY_REQUEST_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-184E7107

Definition at line 49 of file nodeappendchildnodeancestor.java.

## Constructor & Destructor Documentation

nodeappendchildnodeancestor::nodeappendchildnodeancestor | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file nodeappendchildnodeancestor.java.
    00052  {
    00053       super(factory);
    00054
    00055    }

## Member Function Documentation

String nodeappendchildnodeancestor::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 83 of file nodeappendchildnodeancestor.java.
    00083                                 {
    00084       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeappendchildnodeancestor";
    00085    }

void nodeappendchildnodeancestor::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 86 of file nodeappendchildnodeancestor.java. References DOMTestCase::doMain().
    00086                                           {
    00087         DOMTestCase.doMain(nodeappendchildnodeancestor.class,args);
    00088    }

void nodeappendchildnodeancestor::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 57 of file nodeappendchildnodeancestor.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00057                                                     {
    00058       Document doc;
    00059       Node newChild;
    00060       NodeList elementList;
    00061       Node employeeNode;
    00062       NodeList childList;
    00063       Node oldChild;
    00064       Node appendedChild;
    00065       doc = load("staff");
    00066       newChild = doc.getDocumentElement();
    00067       elementList = doc.getElementsByTagName("employee");
    00068       employeeNode = elementList.item(1);
    00069
    00070         {
    00071                 boolean success = false;
    00072                 try {
    00073                         appendedChild = employeeNode.appendChild(newChild);
    00074
    00075                 }
    00076                 catch(DOMException ex) {
    00077                         success = (ex.code == DOMException.HIERARCHY_REQUEST_ERR);
    00078                 }
    00079                 assertTrue("nodeAppendChildNodeAncestorAssert1",success);
    00080         }
    00081
    00082    }

The documentation for this class was generated from the following file:

- nodeappendchildnodeancestor.java